C------------------------------------------------------------------------
C     Copyright (C) 2001-2008, ENPC - INRIA - EDF R&D
C
C     This file is part of the air quality modeling system Polyphemus.
C
C     Polyphemus is developed in the INRIA - ENPC joint project-team
C     CLIME and in the ENPC - EDF R&D joint laboratory CEREA.
C
C     Polyphemus is free software; you can redistribute i and/or modify
C     it under the terms of the GNU General Public License as published
C     by the Free Software Foundation; either version 2 of the License,
C     or (at your option) any later version.
C
C     Polyphemus is distributed in the hope that it will be useful, but
C     WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
C     General Public License for more details.
C
C     For more information, visit the Polyphemus web site:
C     http://cerea.enpc.fr/polyphemus/
C------------------------------------------------------------------------
 
      subroutine dratedc_cb05(ns,nr,rk,y,dw)
 
C------------------------------------------------------------------------
C
C     -- DESCRIPTION
C
C     This routine computes the derivative of reaction rates.
C     This routine is automatically generated by SPACK.
C     Mechanism: CB05                
C     Species: _ciCB05             
C
C------------------------------------------------------------------------
C
C     -- INPUT VARIABLES
C
C     ns: chemical species number.
C     nr: reaction number.
C     rk: kinetic rates.
C     y : chemical concentrations.
C
C     -- INPUT/OUTPUT VARIABLES
C
C     -- OUTPUT VARIABLES
C
C     dw: derivative of reaction rates wrt Y.
C
C------------------------------------------------------------------------
C
C     -- REMARKS
C
C------------------------------------------------------------------------
C
C     -- MODIFICATIONS
C
C------------------------------------------------------------------------
C
C     -- AUTHOR(S)
C
C     SPACK.
C
C------------------------------------------------------------------------
 
      implicit none
 
      integer nr,ns
      double precision rk(nr),y(ns),dw(nr,ns)
 
      dw(  1, 52) =  rk(  1)
      dw(  2, 43) =  rk(  2)
      dw(  3, 47) =  rk(  3) * Y( 48)
      dw(  3, 48) =  rk(  3) * Y( 47)
      dw(  4, 43) =  rk(  4) * Y( 52)
      dw(  4, 52) =  rk(  4) * Y( 43)
      dw(  5, 43) =  rk(  5) * Y( 52)
      dw(  5, 52) =  rk(  5) * Y( 43)
      dw(  6, 43) =  rk(  6) * Y( 48)
      dw(  6, 48) =  rk(  6) * Y( 43)
      dw(  7, 52) =  rk(  7) * Y( 47)
      dw(  7, 47) =  rk(  7) * Y( 52)
      dw(  8, 47) =  rk(  8)
      dw(  9, 47) =  rk(  9)
      dw( 10,  1) =  rk( 10)
      dw( 11,  1) =  rk( 11)
      dw( 12, 47) =  rk( 12) * Y( 42)
      dw( 12, 42) =  rk( 12) * Y( 47)
      dw( 13, 47) =  rk( 13) * Y( 50)
      dw( 13, 50) =  rk( 13) * Y( 47)
      dw( 14, 44) =  rk( 14)
      dw( 15, 44) =  rk( 15)
      dw( 16, 44) =  rk( 16) * Y( 48)
      dw( 16, 48) =  rk( 16) * Y( 44)
      dw( 17, 44) =  rk( 17) * Y( 52)
      dw( 17, 52) =  rk( 17) * Y( 44)
      dw( 18, 44) =  rk( 18) * Y( 52)
      dw( 18, 52) =  rk( 18) * Y( 44)
      dw( 19,  9) =  rk( 19)
      dw( 20,  9) =  rk( 20)
      dw( 21, 48) =  rk( 21) * Y( 48)
      dw( 21, 48) =  rk( 21) * Y( 48)
      dw( 22, 48) =  rk( 22) * Y( 52)
      dw( 22, 52) =  rk( 22) * Y( 48)
      dw( 23, 42) =  rk( 23) * Y( 48)
      dw( 23, 48) =  rk( 23) * Y( 42)
      dw( 24, 15) =  rk( 24)
      dw( 25, 42) =  rk( 25) * Y( 15)
      dw( 25, 15) =  rk( 25) * Y( 42)
      dw( 26, 15) =  rk( 26) * Y( 15)
      dw( 26, 15) =  rk( 26) * Y( 15)
      dw( 27, 52) =  rk( 27) * Y( 42)
      dw( 27, 42) =  rk( 27) * Y( 52)
      dw( 28, 42) =  rk( 28) * Y( 38)
      dw( 28, 38) =  rk( 28) * Y( 42)
      dw( 29, 50) =  rk( 29) * Y( 48)
      dw( 29, 48) =  rk( 29) * Y( 50)
      dw( 30, 50) =  rk( 30) * Y( 52)
      dw( 30, 52) =  rk( 30) * Y( 50)
      dw( 31, 13) =  rk( 31)
      dw( 32, 42) =  rk( 32) * Y( 13)
      dw( 32, 13) =  rk( 32) * Y( 42)
      dw( 33, 50) =  rk( 33) * Y( 50)
      dw( 33, 50) =  rk( 33) * Y( 50)
      dw( 34, 50) =  rk( 34) * Y( 50)
      dw( 34, 50) =  rk( 34) * Y( 50)
      dw( 35, 17) =  rk( 35)
      dw( 36, 42) =  rk( 36) * Y( 17)
      dw( 36, 17) =  rk( 36) * Y( 42)
      dw( 37,  1) =  rk( 37)
      dw( 38, 42) =  rk( 38)
      dw( 39, 42) =  rk( 39) * Y( 43)
      dw( 39, 43) =  rk( 39) * Y( 42)
      dw( 40, 42) =  rk( 40) * Y( 42)
      dw( 40, 42) =  rk( 40) * Y( 42)
      dw( 41, 42) =  rk( 41) * Y( 42)
      dw( 41, 42) =  rk( 41) * Y( 42)
      dw( 42, 42) =  rk( 42) * Y( 50)
      dw( 42, 50) =  rk( 42) * Y( 42)
      dw( 43, 50) =  rk( 43) * Y( 43)
      dw( 43, 43) =  rk( 43) * Y( 50)
      dw( 44, 17) =  rk( 44) * Y( 43)
      dw( 44, 43) =  rk( 44) * Y( 17)
      dw( 45, 44) =  rk( 45) * Y( 43)
      dw( 45, 43) =  rk( 45) * Y( 44)
      dw( 46, 44) =  rk( 46) * Y( 42)
      dw( 46, 42) =  rk( 46) * Y( 44)
      dw( 47, 44) =  rk( 47) * Y( 50)
      dw( 47, 50) =  rk( 47) * Y( 44)
      dw( 48, 44) =  rk( 48) * Y( 47)
      dw( 48, 47) =  rk( 48) * Y( 44)
      dw( 49, 44) =  rk( 49) * Y( 44)
      dw( 49, 44) =  rk( 49) * Y( 44)
      dw( 50, 13) =  rk( 50)
      dw( 51, 38) =  rk( 51)
      dw( 52,  9) =  rk( 52)
      dw( 53, 49) =  rk( 53) * Y( 48)
      dw( 53, 48) =  rk( 53) * Y( 49)
      dw( 54, 39) =  rk( 54) * Y( 48)
      dw( 54, 48) =  rk( 54) * Y( 39)
      dw( 55, 49) =  rk( 55) * Y( 50)
      dw( 55, 50) =  rk( 55) * Y( 49)
      dw( 56, 39) =  rk( 56) * Y( 50)
      dw( 56, 50) =  rk( 56) * Y( 39)
      dw( 57, 49) =  rk( 57) * Y( 49)
      dw( 57, 49) =  rk( 57) * Y( 49)
      dw( 58, 39) =  rk( 58) * Y( 39)
      dw( 58, 39) =  rk( 58) * Y( 39)
      dw( 59, 49) =  rk( 59) * Y( 39)
      dw( 59, 39) =  rk( 59) * Y( 49)
      dw( 60, 33) =  rk( 60) * Y( 42)
      dw( 60, 42) =  rk( 60) * Y( 33)
      dw( 61, 33) =  rk( 61)
      dw( 62, 21) =  rk( 62) * Y( 42)
      dw( 62, 42) =  rk( 62) * Y( 21)
      dw( 63, 21) =  rk( 63)
      dw( 64, 42) =  rk( 64) * Y( 37)
      dw( 64, 37) =  rk( 64) * Y( 42)
      dw( 65, 42) =  rk( 65) * Y(  3)
      dw( 65,  3) =  rk( 65) * Y( 42)
      dw( 66, 40) =  rk( 66) * Y( 48)
      dw( 66, 48) =  rk( 66) * Y( 40)
      dw( 67, 40) =  rk( 67) * Y( 50)
      dw( 67, 50) =  rk( 67) * Y( 40)
      dw( 68, 40) =  rk( 68) * Y( 40)
      dw( 68, 40) =  rk( 68) * Y( 40)
      dw( 69, 19) =  rk( 69) * Y( 42)
      dw( 69, 42) =  rk( 69) * Y( 19)
      dw( 70, 19) =  rk( 70)
      dw( 71, 11) =  rk( 71) * Y( 42)
      dw( 71, 42) =  rk( 71) * Y( 11)
      dw( 72, 41) =  rk( 72) * Y( 42)
      dw( 72, 42) =  rk( 72) * Y( 41)
      dw( 73, 41) =  rk( 73)
      dw( 74, 41) =  rk( 74)
      dw( 75, 41) =  rk( 75) * Y( 43)
      dw( 75, 43) =  rk( 75) * Y( 41)
      dw( 76, 41) =  rk( 76) * Y( 44)
      dw( 76, 44) =  rk( 76) * Y( 41)
      dw( 77, 41) =  rk( 77) * Y( 50)
      dw( 77, 50) =  rk( 77) * Y( 41)
      dw( 78, 18) =  rk( 78)
      dw( 79, 18) =  rk( 79) * Y( 48)
      dw( 79, 48) =  rk( 79) * Y( 18)
      dw( 80, 18) =  rk( 80) * Y( 50)
      dw( 80, 50) =  rk( 80) * Y( 18)
      dw( 81, 20) =  rk( 81) * Y( 42)
      dw( 81, 42) =  rk( 81) * Y( 20)
      dw( 82, 45) =  rk( 82) * Y( 43)
      dw( 82, 43) =  rk( 82) * Y( 45)
      dw( 83, 45) =  rk( 83) * Y( 42)
      dw( 83, 42) =  rk( 83) * Y( 45)
      dw( 84, 45) =  rk( 84) * Y( 44)
      dw( 84, 44) =  rk( 84) * Y( 45)
      dw( 85, 45) =  rk( 85)
      dw( 86, 51) =  rk( 86) * Y( 48)
      dw( 86, 48) =  rk( 86) * Y( 51)
      dw( 87, 51) =  rk( 87) * Y( 52)
      dw( 87, 52) =  rk( 87) * Y( 51)
      dw( 88, 10) =  rk( 88)
      dw( 89, 10) =  rk( 89)
      dw( 90, 51) =  rk( 90) * Y( 50)
      dw( 90, 50) =  rk( 90) * Y( 51)
      dw( 91, 51) =  rk( 91) * Y( 40)
      dw( 91, 40) =  rk( 91) * Y( 51)
      dw( 92, 51) =  rk( 92) * Y( 49)
      dw( 92, 49) =  rk( 92) * Y( 51)
      dw( 93, 51) =  rk( 93) * Y( 51)
      dw( 93, 51) =  rk( 93) * Y( 51)
      dw( 94, 22) =  rk( 94) * Y( 42)
      dw( 94, 42) =  rk( 94) * Y( 22)
      dw( 95, 22) =  rk( 95)
      dw( 96, 36) =  rk( 96) * Y( 42)
      dw( 96, 42) =  rk( 96) * Y( 36)
      dw( 97, 35) =  rk( 97) * Y( 43)
      dw( 97, 43) =  rk( 97) * Y( 35)
      dw( 98, 35) =  rk( 98) * Y( 42)
      dw( 98, 42) =  rk( 98) * Y( 35)
      dw( 99, 35) =  rk( 99) * Y( 44)
      dw( 99, 44) =  rk( 99) * Y( 35)
      dw(100, 35) =  rk(100)
      dw(101, 46) =  rk(101) * Y( 48)
      dw(101, 48) =  rk(101) * Y( 46)
      dw(102, 46) =  rk(102) * Y( 52)
      dw(102, 52) =  rk(102) * Y( 46)
      dw(103, 14) =  rk(103)
      dw(104, 14) =  rk(104)
      dw(105, 14) =  rk(105) * Y( 42)
      dw(105, 42) =  rk(105) * Y( 14)
      dw(106, 46) =  rk(106) * Y( 50)
      dw(106, 50) =  rk(106) * Y( 46)
      dw(107, 51) =  rk(107) * Y( 40)
      dw(107, 40) =  rk(107) * Y( 51)
      dw(108, 51) =  rk(108) * Y( 49)
      dw(108, 49) =  rk(108) * Y( 51)
      dw(109, 46) =  rk(109) * Y( 46)
      dw(109, 46) =  rk(109) * Y( 46)
      dw(110, 46) =  rk(110) * Y( 51)
      dw(110, 51) =  rk(110) * Y( 46)
      dw(111, 34) =  rk(111) * Y( 42)
      dw(111, 42) =  rk(111) * Y( 34)
      dw(112, 16) =  rk(112)
      dw(113, 16) =  rk(113)
      dw(114, 16) =  rk(114) * Y( 52)
      dw(114, 52) =  rk(114) * Y( 16)
      dw(115, 43) =  rk(115) * Y( 24)
      dw(115, 24) =  rk(115) * Y( 43)
      dw(116, 42) =  rk(116) * Y( 24)
      dw(116, 24) =  rk(116) * Y( 42)
      dw(117, 47) =  rk(117) * Y( 24)
      dw(117, 24) =  rk(117) * Y( 47)
      dw(118, 44) =  rk(118) * Y( 24)
      dw(118, 24) =  rk(118) * Y( 44)
      dw(119, 43) =  rk(119) * Y( 23)
      dw(119, 23) =  rk(119) * Y( 43)
      dw(120, 42) =  rk(120) * Y( 23)
      dw(120, 23) =  rk(120) * Y( 42)
      dw(121, 47) =  rk(121) * Y( 23)
      dw(121, 23) =  rk(121) * Y( 47)
      dw(122, 44) =  rk(122) * Y( 23)
      dw(122, 23) =  rk(122) * Y( 44)
      dw(123, 25) =  rk(123) * Y( 43)
      dw(123, 43) =  rk(123) * Y( 25)
      dw(124, 25) =  rk(124) * Y( 42)
      dw(124, 42) =  rk(124) * Y( 25)
      dw(125, 25) =  rk(125) * Y( 47)
      dw(125, 47) =  rk(125) * Y( 25)
      dw(126, 25) =  rk(126) * Y( 44)
      dw(126, 44) =  rk(126) * Y( 25)
      dw(127,  5) =  rk(127) * Y( 42)
      dw(127, 42) =  rk(127) * Y(  5)
      dw(128, 12) =  rk(128) * Y( 48)
      dw(128, 48) =  rk(128) * Y( 12)
      dw(129, 12) =  rk(129)
      dw(130, 42) =  rk(130) * Y( 27)
      dw(130, 27) =  rk(130) * Y( 42)
      dw(131, 27) =  rk(131) * Y( 44)
      dw(131, 44) =  rk(131) * Y( 27)
      dw(132, 30) =  rk(132) * Y( 52)
      dw(132, 52) =  rk(132) * Y( 30)
      dw(133, 30) =  rk(133) * Y( 50)
      dw(133, 50) =  rk(133) * Y( 30)
      dw(134, 28) =  rk(134)
      dw(135, 28) =  rk(135) * Y( 42)
      dw(135, 42) =  rk(135) * Y( 28)
      dw(136, 28) =  rk(136) * Y( 47)
      dw(136, 47) =  rk(136) * Y( 28)
      dw(137, 42) =  rk(137) * Y(  6)
      dw(137,  6) =  rk(137) * Y( 42)
      dw(138, 42) =  rk(138) * Y( 29)
      dw(138, 29) =  rk(138) * Y( 42)
      dw(139, 29) =  rk(139)
      dw(140, 43) =  rk(140) * Y( 31)
      dw(140, 31) =  rk(140) * Y( 43)
      dw(141, 42) =  rk(141) * Y( 31)
      dw(141, 31) =  rk(141) * Y( 42)
      dw(142, 47) =  rk(142) * Y( 31)
      dw(142, 31) =  rk(142) * Y( 47)
      dw(143, 44) =  rk(143) * Y( 31)
      dw(143, 31) =  rk(143) * Y( 44)
      dw(144, 42) =  rk(144) * Y( 32)
      dw(144, 32) =  rk(144) * Y( 42)
      dw(145, 47) =  rk(145) * Y( 32)
      dw(145, 32) =  rk(145) * Y( 47)
      dw(146, 44) =  rk(146) * Y( 32)
      dw(146, 32) =  rk(146) * Y( 44)
      dw(147, 32) =  rk(147)
      dw(148, 26) =  rk(148) * Y( 43)
      dw(148, 43) =  rk(148) * Y( 26)
      dw(149, 26) =  rk(149) * Y( 42)
      dw(149, 42) =  rk(149) * Y( 26)
      dw(150, 26) =  rk(150) * Y( 47)
      dw(150, 47) =  rk(150) * Y( 26)
      dw(151, 26) =  rk(151) * Y( 44)
      dw(151, 44) =  rk(151) * Y( 26)
      dw(152,  7) =  rk(152) * Y( 42)
      dw(152, 42) =  rk(152) * Y(  7)
      dw(153, 42) =  rk(153) * Y(  2)
      dw(153,  2) =  rk(153) * Y( 42)
      dw(154, 42) =  rk(154) * Y(  4)
      dw(154,  4) =  rk(154) * Y( 42)
      dw(155, 52) =  rk(155) * Y( 31)
      dw(155, 31) =  rk(155) * Y( 52)
 
      RETURN
      END
 
