C------------------------------------------------------------------------
C     Copyright (C) 2001-2008, ENPC - INRIA - EDF R&D
C
C     This file is part of the air quality modeling system Polyphemus.
C
C     Polyphemus is developed in the INRIA - ENPC joint project-team
C     CLIME and in the ENPC - EDF R&D joint laboratory CEREA.
C
C     Polyphemus is free software; you can redistribute i and/or modify
C     it under the terms of the GNU General Public License as published
C     by the Free Software Foundation; either version 2 of the License,
C     or (at your option) any later version.
C
C     Polyphemus is distributed in the hope that it will be useful, but
C     WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
C     General Public License for more details.
C
C     For more information, visit the Polyphemus web site:
C     http://cerea.enpc.fr/polyphemus/
C------------------------------------------------------------------------
 
      subroutine rates_cb05(ns,nr,rk,y,w)
 
C------------------------------------------------------------------------
C
C     -- DESCRIPTION
C
C     This routine computes the reaction rates.
C     This routine is automatically generated by SPACK.
C     Mechanism: CB05                
C     Species: _ciCB05             
C
C------------------------------------------------------------------------
C
C     -- INPUT VARIABLES
C
C     Ns: chemical species number.
C     NR: reaction number.
C     RK: kinetic rates.
C     Y: chemical concentrations.
C
C     -- INPUT/OUTPUT VARIABLES
C
C     -- OUTPUT VARIABLES
C
C     W: reaction rates.
C
C------------------------------------------------------------------------
C
C     -- REMARKS
C
C------------------------------------------------------------------------
C
C     -- MODIFICATIONS
C
C------------------------------------------------------------------------
C
C     -- AUTHOR(S)
C
C     SPACK.
C
C------------------------------------------------------------------------
 
      implicit none
 
      integer nr,ns
      double precision rk(nr),y(ns),w(nr)
 
 
 
      w(  1) =  rk(  1) * Y( 52)
      w(  2) =  rk(  2) * Y( 43)
      w(  3) =  rk(  3) * Y( 47) * Y( 48)
      w(  4) =  rk(  4) * Y( 43) * Y( 52)
      w(  5) =  rk(  5) * Y( 43) * Y( 52)
      w(  6) =  rk(  6) * Y( 43) * Y( 48)
      w(  7) =  rk(  7) * Y( 52) * Y( 47)
      w(  8) =  rk(  8) * Y( 47)
      w(  9) =  rk(  9) * Y( 47)
      w( 10) =  rk( 10) * Y(  1)
      w( 11) =  rk( 11) * Y(  1)
      w( 12) =  rk( 12) * Y( 47) * Y( 42)
      w( 13) =  rk( 13) * Y( 47) * Y( 50)
      w( 14) =  rk( 14) * Y( 44)
      w( 15) =  rk( 15) * Y( 44)
      w( 16) =  rk( 16) * Y( 44) * Y( 48)
      w( 17) =  rk( 17) * Y( 44) * Y( 52)
      w( 18) =  rk( 18) * Y( 44) * Y( 52)
      w( 19) =  rk( 19) * Y(  9)
      w( 20) =  rk( 20) * Y(  9)
      w( 21) =  rk( 21) * Y( 48) * Y( 48)
      w( 22) =  rk( 22) * Y( 48) * Y( 52)
      w( 23) =  rk( 23) * Y( 42) * Y( 48)
      w( 24) =  rk( 24) * Y( 15)
      w( 25) =  rk( 25) * Y( 42) * Y( 15)
      w( 26) =  rk( 26) * Y( 15) * Y( 15)
      w( 27) =  rk( 27) * Y( 52) * Y( 42)
      w( 28) =  rk( 28) * Y( 42) * Y( 38)
      w( 29) =  rk( 29) * Y( 50) * Y( 48)
      w( 30) =  rk( 30) * Y( 50) * Y( 52)
      w( 31) =  rk( 31) * Y( 13)
      w( 32) =  rk( 32) * Y( 42) * Y( 13)
      w( 33) =  rk( 33) * Y( 50) * Y( 50)
      w( 34) =  rk( 34) * Y( 50) * Y( 50)
      w( 35) =  rk( 35) * Y( 17)
      w( 36) =  rk( 36) * Y( 42) * Y( 17)
      w( 37) =  rk( 37) * Y(  1)
      w( 38) =  rk( 38) * Y( 42)
      w( 39) =  rk( 39) * Y( 42) * Y( 43)
      w( 40) =  rk( 40) * Y( 42) * Y( 42)
      w( 41) =  rk( 41) * Y( 42) * Y( 42)
      w( 42) =  rk( 42) * Y( 42) * Y( 50)
      w( 43) =  rk( 43) * Y( 50) * Y( 43)
      w( 44) =  rk( 44) * Y( 17) * Y( 43)
      w( 45) =  rk( 45) * Y( 44) * Y( 43)
      w( 46) =  rk( 46) * Y( 44) * Y( 42)
      w( 47) =  rk( 47) * Y( 44) * Y( 50)
      w( 48) =  rk( 48) * Y( 44) * Y( 47)
      w( 49) =  rk( 49) * Y( 44) * Y( 44)
      w( 50) =  rk( 50) * Y( 13)
      w( 51) =  rk( 51) * Y( 38)
      w( 52) =  rk( 52) * Y(  9)
      w( 53) =  rk( 53) * Y( 49) * Y( 48)
      w( 54) =  rk( 54) * Y( 39) * Y( 48)
      w( 55) =  rk( 55) * Y( 49) * Y( 50)
      w( 56) =  rk( 56) * Y( 39) * Y( 50)
      w( 57) =  rk( 57) * Y( 49) * Y( 49)
      w( 58) =  rk( 58) * Y( 39) * Y( 39)
      w( 59) =  rk( 59) * Y( 49) * Y( 39)
      w( 60) =  rk( 60) * Y( 33) * Y( 42)
      w( 61) =  rk( 61) * Y( 33)
      w( 62) =  rk( 62) * Y( 21) * Y( 42)
      w( 63) =  rk( 63) * Y( 21)
      w( 64) =  rk( 64) * Y( 42) * Y( 37)
      w( 65) =  rk( 65) * Y( 42) * Y(  3)
      w( 66) =  rk( 66) * Y( 40) * Y( 48)
      w( 67) =  rk( 67) * Y( 40) * Y( 50)
      w( 68) =  rk( 68) * Y( 40) * Y( 40)
      w( 69) =  rk( 69) * Y( 19) * Y( 42)
      w( 70) =  rk( 70) * Y( 19)
      w( 71) =  rk( 71) * Y( 11) * Y( 42)
      w( 72) =  rk( 72) * Y( 41) * Y( 42)
      w( 73) =  rk( 73) * Y( 41)
      w( 74) =  rk( 74) * Y( 41)
      w( 75) =  rk( 75) * Y( 41) * Y( 43)
      w( 76) =  rk( 76) * Y( 41) * Y( 44)
      w( 77) =  rk( 77) * Y( 41) * Y( 50)
      w( 78) =  rk( 78) * Y( 18)
      w( 79) =  rk( 79) * Y( 18) * Y( 48)
      w( 80) =  rk( 80) * Y( 18) * Y( 50)
      w( 81) =  rk( 81) * Y( 20) * Y( 42)
      w( 82) =  rk( 82) * Y( 45) * Y( 43)
      w( 83) =  rk( 83) * Y( 45) * Y( 42)
      w( 84) =  rk( 84) * Y( 45) * Y( 44)
      w( 85) =  rk( 85) * Y( 45)
      w( 86) =  rk( 86) * Y( 51) * Y( 48)
      w( 87) =  rk( 87) * Y( 51) * Y( 52)
      w( 88) =  rk( 88) * Y( 10)
      w( 89) =  rk( 89) * Y( 10)
      w( 90) =  rk( 90) * Y( 51) * Y( 50)
      w( 91) =  rk( 91) * Y( 51) * Y( 40)
      w( 92) =  rk( 92) * Y( 51) * Y( 49)
      w( 93) =  rk( 93) * Y( 51) * Y( 51)
      w( 94) =  rk( 94) * Y( 22) * Y( 42)
      w( 95) =  rk( 95) * Y( 22)
      w( 96) =  rk( 96) * Y( 36) * Y( 42)
      w( 97) =  rk( 97) * Y( 35) * Y( 43)
      w( 98) =  rk( 98) * Y( 35) * Y( 42)
      w( 99) =  rk( 99) * Y( 35) * Y( 44)
      w(100) =  rk(100) * Y( 35)
      w(101) =  rk(101) * Y( 46) * Y( 48)
      w(102) =  rk(102) * Y( 46) * Y( 52)
      w(103) =  rk(103) * Y( 14)
      w(104) =  rk(104) * Y( 14)
      w(105) =  rk(105) * Y( 14) * Y( 42)
      w(106) =  rk(106) * Y( 46) * Y( 50)
      w(107) =  rk(107) * Y( 51) * Y( 40)
      w(108) =  rk(108) * Y( 51) * Y( 49)
      w(109) =  rk(109) * Y( 46) * Y( 46)
      w(110) =  rk(110) * Y( 46) * Y( 51)
      w(111) =  rk(111) * Y( 34) * Y( 42)
      w(112) =  rk(112) * Y( 16)
      w(113) =  rk(113) * Y( 16)
      w(114) =  rk(114) * Y( 16) * Y( 52)
      w(115) =  rk(115) * Y( 43) * Y( 24)
      w(116) =  rk(116) * Y( 42) * Y( 24)
      w(117) =  rk(117) * Y( 47) * Y( 24)
      w(118) =  rk(118) * Y( 44) * Y( 24)
      w(119) =  rk(119) * Y( 43) * Y( 23)
      w(120) =  rk(120) * Y( 42) * Y( 23)
      w(121) =  rk(121) * Y( 47) * Y( 23)
      w(122) =  rk(122) * Y( 44) * Y( 23)
      w(123) =  rk(123) * Y( 25) * Y( 43)
      w(124) =  rk(124) * Y( 25) * Y( 42)
      w(125) =  rk(125) * Y( 25) * Y( 47)
      w(126) =  rk(126) * Y( 25) * Y( 44)
      w(127) =  rk(127) * Y(  5) * Y( 42)
      w(128) =  rk(128) * Y( 12) * Y( 48)
      w(129) =  rk(129) * Y( 12)
      w(130) =  rk(130) * Y( 42) * Y( 27)
      w(131) =  rk(131) * Y( 27) * Y( 44)
      w(132) =  rk(132) * Y( 30) * Y( 52)
      w(133) =  rk(133) * Y( 30) * Y( 50)
      w(134) =  rk(134) * Y( 28)
      w(135) =  rk(135) * Y( 28) * Y( 42)
      w(136) =  rk(136) * Y( 28) * Y( 47)
      w(137) =  rk(137) * Y( 42) * Y(  6)
      w(138) =  rk(138) * Y( 42) * Y( 29)
      w(139) =  rk(139) * Y( 29)
      w(140) =  rk(140) * Y( 43) * Y( 31)
      w(141) =  rk(141) * Y( 42) * Y( 31)
      w(142) =  rk(142) * Y( 47) * Y( 31)
      w(143) =  rk(143) * Y( 44) * Y( 31)
      w(144) =  rk(144) * Y( 42) * Y( 32)
      w(145) =  rk(145) * Y( 47) * Y( 32)
      w(146) =  rk(146) * Y( 44) * Y( 32)
      w(147) =  rk(147) * Y( 32)
      w(148) =  rk(148) * Y( 26) * Y( 43)
      w(149) =  rk(149) * Y( 26) * Y( 42)
      w(150) =  rk(150) * Y( 26) * Y( 47)
      w(151) =  rk(151) * Y( 26) * Y( 44)
      w(152) =  rk(152) * Y(  7) * Y( 42)
      w(153) =  rk(153) * Y( 42) * Y(  2)
      w(154) =  rk(154) * Y( 42) * Y(  4)
      w(155) =  rk(155) * Y( 52) * Y( 31)
 
      RETURN
      END
 
